Skip to main content

Get Order Detail(USER_DATA)

API Description​

Get Order Detail

Before calling this api, please make sure you have already completed your KYC or KYB, and already activated your fiat service on our website.

HTTP Request​

GET /sapi/v1/fiat/get-order-detail

Request Weight(IP)​

1

Request Parameters​

NameTypeMandatoryDescription
orderNoSTRINGYESorder id retrieved from the api call of withdrawal
recvWindowLONGNO
timestampLONGYES

Response Example​

{
"code": "000000",
"message": "success",
"data": {
"orderId": "036752*678", // Order id
"orderStatus": "ORDER_INITIAL", // Order status
"amount": "4.33", // Order amount
"fee": "0.43", // Trade fee
"fiatCurrency": "***", // Fiat token
"errorCode": "", // Error code if any
"errorMessage": "", // Error message if any
"ext": {} // Extra info
}
}

Error Codes​

indexcodemessage
1-16007Not enough limit
2-16009Not passed KYC/KYB
3-16010Not supported currency or payment method
4-16011Order not exist
5-16012No channel supported